{
  "name": "{{ agave.appsPrefix }}-broad-vcf-filter-gf2",
  "version": "0.3",
  "label": "Custom VCF filter script from Broad",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/broad-vcf-filter-gf2-0.3",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "broad-vcf-filter-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "min_GQ",
      "value": {
        "required": false,
        "default": 50,
        "type": "number"
      }
    },
    { "id": "min_percent_alt_in_AD",
      "value": {
        "required": false,
        "default": 0.8,
        "type": "number"
      }
    },
    { "id": "min_total_DP",
      "value": {
        "required": false,
        "default": 10,
        "type": "number"
      }
    },
    { "id": "keep_GQ_0_refs",
      "value": {
        "required": false,
        "default": "yes",
        "type": "string"
      }
    },
    { "id": "keep_all_ref",
      "value": {
        "required": false,
        "default": "yes",
        "type": "string"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}